## picard 2.3.1

=== requirements.txt ===
discid
mutagen>=1.37
PyQt5>=5.7.1

## picard 0.15

=== debian/changelog ===
picard (0.15-0ubuntu1) oneiric; urgency=low

  [ Charlie Smotherman ]
  * Updated package to version 0.15 instead of 0.14.
  * Removed dh_quilt_patch and dh_quilt_unpatch from debian/rules. It is not
    needed when usuing source format 3.0 (quilt).
  * Removed B-D on quilt, it is not needed when using source format 3.0
    (quilt).
  * Changed XS-P-V to X-P-V.
  * Reworked debian/copyright and added CC-BY-SA, GPL, 
    RealNetworks Public Source License Version 1.0 and RealNetworks Community
    Source License Version 1.0 copyright statements which are required by 
    DEP5
  * Increase debhelper to >= 7.0.53.
  * Removed 0-libavcodec-api-major-53plus.patch as it has been included 
    upstream in version 0.15.

  [ Chad Miller ]
  * New upstream release. (LP: #767987, #215774)
  * Transition from python-support to dh_python2.
  * Upstream requires Python 2.5 or later, but not Python 3.  Change
    dependency.
  * Upstream requires PyQt 4.5 or later.  Change dependecy.
  * Upstream requires Mutagen 1.11 or later.  Change dependency.
  * Add patch support by requiring build-dep of newer debhelper and
    quilt.
  * Added debian-patches/0-libavcodec-api-major-53plus.patch
    to support Picard's use of deprecated CODEC_TYPE_AUDIO name.
  * Set source format explicitly, 3.0 (quilt).
  * Update packaging standards.  Now at 3.9.2.0
  * Format copyright as DEP5.
  * Add "build-arch"->build and empty "build-indep" to build rules.

 -- Chad MILLER <chad.miller@canonical.com>  Fri, 22 Jul 2011 17:13:40 -0400

picard (0.12.1-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:06:42 +0000

picard (0.12.1-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #508225).
  * debian/rules:
    - change icon generation rules

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Mon, 08 Feb 2010 02:02:24 +0100

picard (0.11-2ubuntu4) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:34:49 +0100

picard (0.11-2ubuntu3) karmic; urgency=low

  * Add patch to set plugins/__init__.py nonempty so setup installs it.
    (LP: #422032)

 -- Chad Miller <chad@ubuntu.com>  Fri, 02 Oct 2009 15:10:11 -0400

picard (0.11-2ubuntu2) karmic; urgency=low

  * No-change rebuild to pickup new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 30 Aug 2009 14:39:36 +0200

picard (0.11-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: --install-layout=deb for Python 2.6
    - debian/copyright: add icons license (CC-by-SA 2.5)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 25 Apr 2009 12:46:03 -0400

picard (0.11-2) unstable; urgency=low

  * Upload to unstable (Closes: #517269).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 26 Feb 2009 22:06:48 +0100

picard (0.11-1ubuntu2) jaunty; urgency=low

  * Add --install-layout=deb and rebuild for Python 2.6 transition
    (LP: #335914)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 Mar 2009 23:03:52 -0500

picard (0.11-1ubuntu1) jaunty; urgency=low

  * Merge from Debian experimental (fixes build/link against recent ffmpeg
    snapshots), remaining Ubuntu changes:
    - debian/copyright: add icons license (CC-by-SA 2.5).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 21 Dec 2008 14:52:57 +0100

picard (0.11-1) experimental; urgency=low

  * New upstream release.
  * Many packaging improvements (thanks to Loic Minier):
    - debian/rules: better targets dependencies,
    - strip all leading spaces,
    - wrap deps/bdeps in debian/control,
    - call dh_icons and thus, bump debhelper bdep,
    - adds missing ${misc:Depends},
    - call setup.py config with the right CFLAGS,
    - call dh_* with -s,
    - improve clean's target find calls
    - remove debian/pyversions, use XS-Python-Version instead,
    - debian/rules sed improvement.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 19 Dec 2008 21:46:14 +0100

picard (0.10-1) experimental; urgency=low

  * Upload to experimental because of lenny freeze.
  * New upstream release.
  * Update debian/copyright:
    - Add Lukáš Lalinský as copyright holder,
    - Add Benbuck Nason and Michael Urman as authors.
  * Drop 000-picard_filebrowser_collapse patch, merged upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 13 Aug 2008 23:13:07 +0200

picard (0.10-0ubuntu4) intrepid; urgency=low

  * Add patch fix-install-desktop (LP: #272079):
    fix upstream script not installing icons and .desktop file
    patch from http://bazaar.launchpad.net/~musicbrainz-developers/picard \
      /trunk/revision/819
  * Add patch fix-desktop-file:
    make desktop file freedesktop and Gnome HIG compliant

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 19 Sep 2008 14:08:43 +0200

picard (0.10-0ubuntu3) intrepid; urgency=low

  * Revert the previous change, the bug was for the old version. This 
    one does not need libtunepimp-mp3 anymore..

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 05 Sep 2008 20:54:23 +0300

picard (0.10-0ubuntu2) intrepid; urgency=low

  * control: Depend on libtunepimp5-mp3. (LP: #128600)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 03 Sep 2008 00:57:50 +0300

picard (0.10-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #257664)
  * debian/copyright:
    - add icons license (CC-by-SA 2.5)
    - add copyright owner explicitely (Lukáš Lalinský)
    - add additional authors (Benbuck Nason and Michael Urman)
  * Remove patch 000-picard_filebrowser_collapse.patch applied upstream.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Wed, 13 Aug 2008 21:08:47 +0200

picard (0.9.0-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.0.
  * Add quilt dependency as patch system.
  * Apply picard-filebrowser-collapse patch (Closes: #487251).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 23 Jun 2008 22:44:44 +0200



=== debian/control ===
Source: picard
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 7.0.53),
 python (>= 2.6.6-3~),
 python-all-dev,
 gettext,
 libofa0-dev,
 libavcodec-dev (>= 4:0.7),
 libavformat-dev,
 imagemagick,
 pkg-config
Standards-Version: 3.9.2.0
Homepage: http://musicbrainz.org/doc/PicardTagger
X-Python-Version: >= 2.5

Package: picard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 python-qt4 (>= 4.5),
 python-mutagen (>= 1.11),
 python-ctypes,
 libdiscid0
Description: Next-Generation MusicBrainz audio files tagger
 Picard is the next generation MusicBrainz tagging application.
 .
 This new tagging concept is album oriented, as opposed to track oriented
 like the others taggers are.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS  = $(shell pyversions -rv)
DESTDIR = $(CURDIR)/debian/picard

FILE_FLUFF = \# Updated by DPKG installer to be nonempty \#

CFLAGS = -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

build: $(PYVERS:%=build-stamp%)

build-arch: build

build-indep:

build-stamp%:
	dh_testdir
	CFLAGS="$(CFLAGS)" python$* setup.py config
	CFLAGS="$(CFLAGS)" python$* setup.py build_ext
	echo "$(FILE_FLUFF)" >> picard/plugins/__init__.py
	python$* setup.py install --install-layout=deb --root=$(DESTDIR) --prefix=/usr \
	  --no-compile --disable-autoupdate
	rm -rf build/ build.cfg scripts/picard
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build/ build.cfg scripts/picard build-stamp*
	find $(CURDIR) \( -name '*.mo' -o -name '*.pyc' \) -delete
	-cp picard/plugins/__init__.py picard/plugins/__init__.py-temp && \
		grep -v "$(FILE_FLUFF)" < picard/plugins/__init__.py-temp > picard/plugins/__init__.py
	-rm picard/plugins/__init__.py-temp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	# Let's create some icons
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	convert $(CURDIR)/resources/images/32x32/picard.png -resize 22 $(DESTDIR)/usr/share/pixmaps/picard-22.xpm
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/22x22/apps
	convert $(CURDIR)/resources/images/32x32/picard.png -resize 22 $(DESTDIR)/usr/share/icons/hicolor/22x22/apps/picard.png
	for size in 16 24 32; do \
		convert $(CURDIR)/resources/images/$${size}x$${size}/picard.png $(DESTDIR)/usr/share/pixmaps/picard-$${size}.xpm || exit 1; \
	done
	# And fix the shebang
	sed -i 's,^#!/usr/bin/python.*,#!/usr/bin/python,' $(DESTDIR)/usr/bin/picard
	find $(DESTDIR) -type d -empty -delete

binary-indep: build install
binary-arch: build install
	dh_testroot
	dh_installchangelogs -s NEWS.txt
	dh_installdocs -s
	dh_installmenu -s
	dh_icons -s
	dh_python2 -s
	dh_installman -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep

## picard 0.16

=== debian/changelog ===
picard (0.16-2) unstable; urgency=low

  * Really add source format 3.0 (quilt) this time.
  * Added --install-lib=/usr/share/picard to debian/rules.
  * Corrected debian/copyright headers.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 19 Jan 2012 07:52:27 -0500

picard (0.16-1) unstable; urgency=low

  * New upstream release. Closes: #554528,
  * debian/control
    - moving package maintenance to PAPT, Adam Cécile has been contacted and
      agrees with the change.  Added myself and PAPT to Uploaders field.
    - increased debhelper to (>= 7.0.53).
    - increased python-all-dev to (>= 2.6.6-3~).
    - removed python-support from B-D, it has been deprecated.
    - increased libavcodec-dev (>= 4:0.7). Closes: #638244, #640549
      (LP: #334175, #361421)
    - increased standard version to 3.9.2.
    - changed XS-P-V to X-P-V.
    - removed XB-P-V.
    - increase python-qt4 to (>= 4.5).
    - increased python-mutagen to (>= 1.20). Closes: #562689
  * Update debian/copyright to DEP5.
  * Updated manpage to reflect that when starting picard from the commandline
    if you pass it a list of files as arguments they will show up in the 
    to be tagged pane when picard starts. (LP: #719684)
  * Added debian/install to install plugins into picards plugin dir.
    (LP: #810650)
  * Updated debian/rules to use dh7 tiny rules format.
  * Updated to use source format 3.0 (quilt).
  * Webserver.py no longer uses the md5 or sha modules. Closes: #650184

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 07 Dec 2011 20:11:17 -0500

picard (0.11-2.1) unstable; urgency=low

  * Non-maintainer upload, to drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch; Closes: #562475
    - debian/control
      + b-d only on 'python-all-dev (>= 2.5)'
      + bump XS-Python-Version to '>= 2.5'
      + drop python-ctypes from Depends
  * debian/rules
    - fake a comment into empty picard/plugins/__init__.py to let it be
      installed by recent python-support

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2010 00:18:45 +0100

=== debian/control ===
Source: picard
Section: sound
Priority: optional
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
 Charlie Smotherman <cjsmo@cableone.net>
Build-Depends: debhelper (>= 7.0.53),
 python-all-dev (>= 2.6.6-3~),
 gettext,
 libofa0-dev,
 libavcodec-dev (>= 4:0.7),
 libavformat-dev,
 imagemagick,
 pkg-config
Standards-Version: 3.9.2
Homepage: http://musicbrainz.org/doc/PicardTagger
X-Python-Version: >= 2.5

Package: picard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 python-qt4 (>= 4.5),
 python-mutagen (>= 1.20),
 libdiscid0
Description: Next-Generation MusicBrainz audio files tagger
 Picard is the next generation MusicBrainz tagging application.
 .
 This new tagging concept is album oriented, as opposed to track oriented
 like the others taggers are.

## picard 0.16-2+6.0.1trisquel1

=== debian/changelog ===
picard (0.16-2+6.0.1trisquel1) toutatis; urgency=low

  * Disable Download Plugin in picard/ui/ui_options_plugins.py #6274

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Apr 2015 16:03:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: picard
 Section: sound
 Priority: optional
-Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
  Charlie Smotherman <cjsmo@cableone.net>
 Build-Depends: debhelper (>= 7.0.53),

## picard 1.0

=== debian/changelog ===
picard (1.0-1) unstable; urgency=low

  * New upstream release.
    - Fullscreen mode is now available. Closes: #502573
    - The "Classic Disk Number" plugin is now available. Closes: #583511
    - When editing a text field the cursor no long jumps to the end of the
      text editing field.  Closes: #656887 (LP: #1000368)
    - Scan feature has been corrected. Closes: #672315 (LP: #959582)
  * Set PAPT as Maintainer and set myself as Uploader, removed Adam Cecile
    <gandalf@le-vert.net> from Maintainers field per mia-teams request.
    Closes: #674286
  * Update Standards Version to 3.9.3, no changes needed.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 05 Jun 2012 17:38:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: picard
 Section: sound
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
- Charlie Smotherman <cjsmo@cableone.net>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Charlie Smotherman <cjsmo@cableone.net>
 Build-Depends: debhelper (>= 7.0.53),
  python-all-dev (>= 2.6.6-3~),
  gettext,
@@ -12,7 +11,7 @@
  libavformat-dev,
  imagemagick,
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://musicbrainz.org/doc/PicardTagger
 X-Python-Version: >= 2.5

=== debian/rules ===
#!/usr/bin/make -f

PYVER   = $(shell pyversions -rv)
PYVERS  = $(shell pyversions -r)
DESTDIR = $(CURDIR)/debian/picard

CFLAGS = -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

%:
	dh $@ --with python2

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" python$* setup.py config
	CFLAGS="$(CFLAGS)" python$* setup.py build_ext

override_dh_auto_install:
	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py install --install-layout=deb --install-lib=/usr/lib/picard \
		--root=$(DESTDIR) --no-compile --disable-autoupdate; \
	done
	rm -rf build/ build.cfg scripts/picard
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	convert $(CURDIR)/resources/images/32x32/picard.png -resize 22 \
			$(DESTDIR)/usr/share/pixmaps/picard-22.xpm; \
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/22x22/apps
	convert $(CURDIR)/resources/images/32x32/picard.png -resize 22 \
			$(DESTDIR)/usr/share/icons/hicolor/22x22/apps/picard.png; \
	for size in 16 24 32; do \
		convert $(CURDIR)/resources/images/$${size}x$${size}/picard.png \
				$(DESTDIR)/usr/share/pixmaps/picard-$${size}.xpm || exit 1; \
	done
	# And fix the shebang
	sed -i 's,^#!/usr/bin/python.*,#!/usr/bin/python,' $(DESTDIR)/usr/bin/picard
	mv $(DESTDIR)/usr/bin/picard $(DESTDIR)/usr/lib/picard/run
	dh_link /usr/lib/picard/run /usr/bin/picard
	find $(DESTDIR) -type d -empty -delete

override_dh_auto_clean:
	rm -rf build/ build.cfg scripts/picard build-stamp*
	find $(CURDIR) \( -name '*.mo' -o -name '*.pyc' -o -name '*.gitignore' \) -delete

## picard 1.1

=== debian/changelog ===
picard (1.1-0ubuntu3) raring; urgency=low

  * Update packaging to use pybuild.
  * Increased debian/compat to 9.
  * debian/control
    - Added Build Depends on python3 >= 3.3.0-2.
    - Added Build Depends on python-dev.
    - Increased debhelper to >= 9
  * Increased Standards Version to 3.9.4 no changes needed.
  * Moved /usr/bin/picard link creation to debian/links.
  * Updated debian/rules to usd pybuild.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 03 Feb 2013 23:20:44 -0500

picard (1.1-0ubuntu2) raring; urgency=low

  * Move libchromaprint-tools to Recommends. (LP: #1086481)

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 31 Dec 2012 05:30:28 -0500

picard (1.1-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #983158, #981831, #977373, #957775, #911403)
  * Increase debian/compat to 9
  * debian/rules
    - cleaned up not needed cruft.
    - removed CFLAGS calls, this is now being done by dh9.
  * debian/control
    - added libchromaprint-tools, hicolor-icon-theme to Suggests.
    - increased debhelper dependency to >= 9

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 31 Oct 2012 16:45:44 -0500

=== debian/control ===
Source: picard
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Charlie Smotherman <cjsmo@cableone.net>
Build-Depends: debhelper (>= 9),
 python3 (>= 3.3.0-2),
 python-dev (>= 2.6.6-3~),
 gettext,
 libofa0-dev,
 libavcodec-dev (>= 4:0.7),
 libavformat-dev,
 imagemagick,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://musicbrainz.org/doc/PicardTagger
X-Python-Version: >= 2.5

Package: picard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 python-qt4 (>= 4.5),
 python-mutagen (>= 1.20),
 libdiscid0
Recommends: libchromaprint-tools
Suggests: hicolor-icon-theme
Description: Next-Generation MusicBrainz audio files tagger
 Picard is the next generation MusicBrainz tagging application.
 .
 This new tagging concept is album oriented, as opposed to track oriented
 like the others taggers are.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE_python3=1
export PYBUILD_INTERPRETERS=python{version}
export PYBUILD_VERSIONS=2.7
export PYBUILD_AFTER_CLEAN_python2=rm -rf build/ build.cfg scripts/picard build-stamp*; \
	find . \( -name '*.mo' -o -name '*.pyc' -o -name '*.gitignore' \) -delete;
export PYBUILD_DESTDIR_python2=debian/picard
export PYBUILD_CONFIGURE_ARGS_python2=config
export PYBUILD_BUILD_ARGS_python2=build_ext
export PYBUILD_INSTALL_ARGS_python2=--install-layout=deb \
	--install-scripts=/usr/lib/picard \
	--install-lib=/usr/lib/picard
export PYBUILD_AFTER_INSTALL_python2=mkdir {destdir}/usr/share/pixmaps; \
	convert ./resources/images/32x32/picard.png -resize 32 \
		{destdir}/usr/share/pixmaps/picard.xpm; \
	mv {destdir}/usr/lib/picard/picard/picard {destdir}/usr/lib/picard/picard_run; \
	find . -type d -empty -delete;
%:
	dh $@ --with python2 --buildsystem=pybuild

## picard 1.2

=== debian/changelog ===
picard (1.2-2) unstable; urgency=low

  * With upstream changes image links are no longer needed updated
    debian/links. Closes: #721494
  * Removed libavcodec-dev and libavformat-dev from build depends.
    Closes: #721650
  
 -- Charlie Smotherman <cjsmo@cableone.net>  Fri, 06 Sep 2013 18:47:22 -0500

picard (1.2-1) unstable; urgency=low

  * New upstream release.
  * Removed Depends on libofa0-dev as upstream no longer requires it.
  * Moved libchromaprint-tools from Recommends to Depends.
  * Update packaging to use pybuild.
  * Increased debian/compat to 9.
  * debian/control
    - Added Build Depends on python-dev.
    - Increased debhelper to >= 9
    - added libchromaprint-tools, hicolor-icon-theme to Suggests.
    - increased debhelper dependency to >= 9
  * Increased Standards Version to 3.9.4 no changes needed.
  * Moved /usr/bin/picard link creation to debian/links.
  * debian/rules
    - updated to use pybuild
    - cleaned up not needed cruft.
    - removed CFLAGS calls, this is now being done by dh9.

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 31 Oct 2012 16:45:44 -0500

=== debian/control ===
Source: picard
Section: sound
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Charlie Smotherman <cjsmo@cableone.net>
Build-Depends: debhelper (>= 9),
 python-dev (>= 2.6.6-3~),
 dh-python,
 gettext,
 imagemagick,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://musicbrainz.org/doc/PicardTagger
X-Python-Version: >= 2.5

Package: picard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 python-qt4 (>= 4.5),
 python-mutagen (>= 1.20),
 libdiscid0,
 libchromaprint-tools
Suggests: hicolor-icon-theme
Description: Next-Generation MusicBrainz audio files tagger
 Picard is the next generation MusicBrainz tagging application.
 .
 This new tagging concept is album oriented, as opposed to track oriented
 like the others taggers are.

## picard 1.2-2+7.0trisquel1

=== debian/changelog ===
picard (1.2-2+7.0trisquel1) belenos; urgency=medium

  * Disable Download Plugin in picard/ui/ui_options_plugins.py #6274

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Apr 2015 16:01:22 +0000

## picard 1.3.2

=== debian/changelog ===
picard (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Add python-qt4 and python-mutagen to Build-Depends.
    (Closes: #805221)
  * debian/menu: Removed (command-in-menu-file-and-desktop-file).

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Dec 2015 13:13:27 +0100

picard (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 17:25:20 +0200

picard (1.3.2-1) experimental; urgency=medium

  * Team upload.

  [ Ghislain Antony Vaillant ]
  * New upstream release (Closes: #766396).
  * d/copyright: lintian fixes.
  * d/control:
    - bump standards version to 3.9.6 (no changes required),
    - bump minimum Python version to 2.6.
    - picard: use python-libdiscid instead of libdiscid0.

  [ Sebastian Ramacher ]
  * debian/control:
    - Update Homepage.
    - Add Vcs-* fields.
  * debian/copyright:
    - Update Source.
    - Update paths.
    - Philipp Wolfer is now listed as a main author.
    - The triple licensing is no longer the case. All code from RealNetworks
      has been replaced.
    - Most of the code is GPL-2+.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Apr 2015 23:21:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,21 @@
  dh-python,
  gettext,
  imagemagick,
- pkg-config
-Standards-Version: 3.9.4
-Homepage: http://musicbrainz.org/doc/PicardTagger
-X-Python-Version: >= 2.5
+ pkg-config,
+ python-qt4 (>= 4.5),
+ python-mutagen (>= 1.20)
+Standards-Version: 3.9.6
+Homepage: http://picard.musicbrainz.org/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/picard/trunk
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/picard/trunk/
+X-Python-Version: >= 2.6
 
 Package: picard
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  python-qt4 (>= 4.5),
  python-mutagen (>= 1.20),
- libdiscid0,
+ python-libdiscid,
  libchromaprint-tools
 Suggests: hicolor-icon-theme
 Description: Next-Generation MusicBrainz audio files tagger

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/picard
export PYBUILD_CONFIGURE_ARGS=config
export PYBUILD_BUILD_ARGS_python2=build_ext
export PYBUILD_INSTALL_ARGS=--install-layout=deb \
	--install-scripts=/usr/lib/picard \
	--install-lib=/usr/lib/picard

DESTDIR = $(CURDIR)/debian/picard

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ build.cfg scripts/picard build-stamp*
	find . \( -name '*.mo' -o -name '*.pyc' -o -name '*.gitignore' \) -delete

override_dh_auto_install:
	dh_auto_install
	convert $(CURDIR)/resources/images/32x32/picard.png -resize 32 \
		$(DESTDIR)/usr/share/pixmaps/picard.xpm
	mv $(DESTDIR)/usr/lib/picard/picard/picard $(DESTDIR)/usr/lib/picard/picard_run
	find . -type d -empty -delete

=== debian/watch ===
version=3
http://ftp.musicbrainz.org/pub/musicbrainz/picard/picard-([0-9\.]+).tar.gz

## picard 1.4.2

=== debian/changelog ===
picard (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #860251)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 Jun 2017 22:28:07 +0200

picard (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Removed, integrated upstream.
  * debian/{compat,control,rules}: Bump to debhelper compat 10.
  * debian/install: Removed, contrib plugins are no longer included in picard.
  * debian/copyright: Update using decopy.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Feb 2017 17:52:04 +0100

picard (1.3.2-5) unstable; urgency=medium

  * Team upload.
  * debian/patches/mutagen.patch: Fix typo. (Closes: #835599)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Aug 2016 15:11:02 +0200

picard (1.3.2-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/mutagen.patch: Backport upstream patch to fix issues with
    newer mutagen. (Closes: #833679)
  * debian/control:
    - Bump python-mutagen (B-)D to 1.22.
    - Bump Standards-Version.
  * debian/rules: Run with LC_ALL=C.UTF-8.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Aug 2016 14:03:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Charlie Smotherman <cjsmo@cableone.net>
-Build-Depends: debhelper (>= 9),
- python-dev (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 10),
+ python-dev,
  dh-python,
  gettext,
  imagemagick,
  pkg-config,
  python-qt4 (>= 4.5),
- python-mutagen (>= 1.20)
-Standards-Version: 3.9.6
+ python-mutagen (>= 1.22)
+Standards-Version: 4.0.0
 Homepage: http://picard.musicbrainz.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/picard/trunk
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/picard/trunk/
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 
 Package: picard
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  python-qt4 (>= 4.5),
- python-mutagen (>= 1.20),
+ python-mutagen (>= 1.22),
  python-libdiscid,
  libchromaprint-tools
 Suggests: hicolor-icon-theme

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 export PYBUILD_DESTDIR=debian/picard
 export PYBUILD_CONFIGURE_ARGS=config
 export PYBUILD_BUILD_ARGS_python2=build_ext
-export PYBUILD_INSTALL_ARGS=--install-layout=deb \
-	--install-scripts=/usr/lib/picard \
+export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/lib/picard \
 	--install-lib=/usr/lib/picard
+
+export LC_ALL=C.UTF-8
 
 DESTDIR = $(CURDIR)/debian/picard

## picard 2.1.2

=== debian/changelog ===
picard (2.1.2-1+deb10u1) buster; urgency=medium

  * debian/gbp.conf: Work in buster branch
  * debian/patches: Update translations to fix crash with Spanish locale (Closes: #941464)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 10:02:04 +0200

picard (2.1.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix use of undefined variable. (Closes: #918946)
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Feb 2019 18:37:46 +0100

picard (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump PyQT5 dependency to 5.8.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Dec 2018 00:24:26 +0100

picard (2.0.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control: Adopt package. (Closes: #866909)
  * debian/:
    - Switch to Python 3 and update build.
    - Bump debhelper compat to 11.
    -  No longer create xpm.
  * debian/control:
    - Bump Standards-Version.
  * debian/watch: Update for new location.
  * debian/copyright: Update licenses and copyright information.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Sep 2018 19:17:50 +0200

=== debian/control ===
Source: picard
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 12),
 python3-dev,
 dh-python,
 gettext,
 python3-setuptools,
 python3-pyqt5 (>= 5.8),
 python3-mutagen (>= 1.37)
Standards-Version: 4.3.0
Homepage: http://picard.musicbrainz.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git

Package: picard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
 python3-pyqt5 (>= 5.8),
 python3-mutagen (>= 1.37),
 python3-libdiscid,
 libchromaprint-tools
Suggests: hicolor-icon-theme
Description: Next-Generation MusicBrainz audio files tagger
 Picard is the next generation MusicBrainz tagging application.
 .
 This new tagging concept is album oriented, as opposed to track oriented
 like the others taggers are.

## picard 2.1.3

=== debian/changelog ===
picard (2.1.3-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Set RRR: no.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jul 2019 12:50:40 +0200

picard (2.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Apr 2019 21:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  python3-dev,
  dh-python,
  gettext,
@@ -15,6 +15,7 @@
 Homepage: http://picard.musicbrainz.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
 Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git
+Rules-Requires-Root: no
 
 Package: picard
 Architecture: any

## picard 2.3.1

=== debian/changelog ===
picard (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Mar 2020 11:08:48 +0100

picard (2.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Fix day-of-week for changelog entry 1.0-1.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 18 Feb 2020 08:56:57 +0100

picard (2.2.3-1) unstable; urgency=medium

  * New upstream release
    - Fix crash on startup if toolbar buttons are disabled (Closes: #942444)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Nov 2019 20:55:19 +0100

picard (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Oct 2019 10:22:52 +0200

picard (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Recommend python3-pyqt5.qtmultimedia and
    libqt5multimedia5-plugins for internal media player (Closes: #940322)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Sep 2019 23:01:26 +0200

picard (2.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #940308)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Sep 2019 14:22:15 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python3-setuptools,
  python3-pyqt5 (>= 5.8),
  python3-mutagen (>= 1.37)
-Standards-Version: 4.3.0
-Homepage: http://picard.musicbrainz.org/
+Standards-Version: 4.5.0
+Homepage: https://picard.musicbrainz.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
 Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git
 Rules-Requires-Root: no
@@ -24,6 +24,9 @@
  python3-mutagen (>= 1.37),
  python3-libdiscid,
  libchromaprint-tools
+Recommends:
+ python3-pyqt5.qtmultimedia,
+ libqt5multimedia5-plugins
 Suggests: hicolor-icon-theme
 Description: Next-Generation MusicBrainz audio files tagger
  Picard is the next generation MusicBrainz tagging application.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/picard
export PYBUILD_DESTDIR=$(DESTDIR)
export PYBUILD_BUILD_ARGS=--disable-autoupdate
export PYBUILD_INSTALL_ARGS=$(PYBUILD_BUILD_ARGS) \
	--install-scripts=/usr/lib/picard \
	--install-lib=/usr/lib/picard
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv $(DESTDIR)/usr/lib/picard/picard/picard $(DESTDIR)/usr/lib/picard/picard_run
	find . -type d -empty -delete

=== debian/watch ===
version=3
https://picard.musicbrainz.org/downloads/ \
  .*/picard-([0-9\.]+).tar.gz

## picard 2.4.2

=== debian/changelog ===
picard (2.4.2-1) unstable; urgency=medium

  * New upstream release
    * Fix tag removal (Closes: #968578)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 19 Aug 2020 20:20:09 +0200

picard (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Add new dependency on python3-dateutil

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Aug 2020 21:36:48 +0200

picard (2.3.2-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 2.3.2
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sebastian Ramacher ]
  * debian/control: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 May 2020 11:07:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3-dev,
  dh-python,
  gettext,
+ python3-dateutil,
  python3-setuptools,
  python3-pyqt5 (>= 5.8),
  python3-mutagen (>= 1.37)
@@ -20,6 +21,7 @@
 Package: picard
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
+ python3-dateutil,
  python3-pyqt5 (>= 5.8),
  python3-mutagen (>= 1.37),
  python3-libdiscid,

## picard 2.5.6

=== requirements.txt ===
python-dateutil>=2.7.3
discid
markdown
mutagen>=1.37
pyobjc-core<7.0; sys_platform == 'darwin'
pyobjc-framework-Cocoa<7.0; sys_platform == 'darwin'
PyQt5>=5.7.1
pywin32; sys_platform == 'win32'

=== debian/changelog ===
picard (2.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Jan 2021 18:33:11 +0100

picard (2.5.5-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2.5.5
  * Add hardening
  * d/copyright: http -> https
  * Update homepage in picard manual
  * Update d/watch version to 4

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Dec 2020 10:08:53 +0100

picard (2.5.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Nov 2020 21:00:50 +0100

picard (2.5.1-1) unstable; urgency=medium

  * New upstream release
    - Fix assertion on unreadable directories (Closes: #972787)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 29 Oct 2020 12:37:00 +0100

picard (2.5-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 27 Oct 2020 22:10:03 +0100

picard (2.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Sep 2020 18:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools,
  python3-pyqt5 (>= 5.8),
  python3-mutagen (>= 1.37)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://picard.musicbrainz.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
 Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git

## picard 2.7.3

=== requirements.txt ===
python-dateutil~=2.7
discid~=1.0
fasteners~=0.14
markdown~=3.2
mutagen~=1.37
PyJWT~=2.0
pyobjc-core~=6.2; sys_platform == 'darwin'
pyobjc-framework-Cocoa~=6.2; sys_platform == 'darwin'
PyQt5~=5.10
pywin32; sys_platform == 'win32'
pyyaml>=5.1, <7

=== debian/changelog ===
picard (2.7.3-1) unstable; urgency=medium

  * New upstream version 2.7.3

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Jan 2022 22:01:07 +0100

picard (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Dec 2021 21:41:29 +0100

picard (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * debian/copyright: Update copyright years
  * debian/patches: Require python-libdiscid
  * debian/control: Update BDs based on requirements.txt

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 18 Dec 2021 18:33:03 +0100

picard (2.6.4-1) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 2.6.4
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Oct 2021 21:53:48 +0200

picard (2.6.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 11:42:12 +0200

picard (2.6.3-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Jun 2021 21:42:45 +0200

picard (2.6.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Apr 2021 12:22:50 +0200

picard (2.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Add python3-fasteners to Build-Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Apr 2021 21:07:54 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,15 @@
  dh-python,
  gettext,
  python3-dateutil,
+ python3-fasteners,
+ python3-jwt,
+ python3-libdiscid,
+ python3-markdown,
+ python3-mutagen,
+ python3-pyqt5,
  python3-setuptools,
- python3-pyqt5 (>= 5.8),
- python3-mutagen (>= 1.37)
-Standards-Version: 4.5.1
+ python3-yaml,
+Standards-Version: 4.6.0
 Homepage: https://picard.musicbrainz.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
 Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git
@@ -20,11 +25,10 @@
 
 Package: picard
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
- python3-dateutil,
- python3-pyqt5 (>= 5.8),
- python3-mutagen (>= 1.37),
- python3-libdiscid,
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
  libchromaprint-tools
 Recommends:
  python3-pyqt5.qtmultimedia,

## picard 2.8.3

=== debian/changelog ===
picard (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 18 Aug 2022 22:48:24 +0200

picard (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Jul 2022 15:09:31 +0200

picard (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jun 2022 17:09:26 +0200

picard (2.8-1) unstable; urgency=medium

  * New upstream version 2.8
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 May 2022 10:06:29 +0200

## picard 2.8.5

=== requirements.txt ===
python-dateutil~=2.7
discid~=1.0
fasteners~=0.14
markdown~=3.2
mutagen~=1.37
PyJWT~=2.0
pyobjc-core>=6.2, <10; sys_platform == 'darwin'
pyobjc-framework-Cocoa>=6.2, <10; sys_platform == 'darwin'
PyQt5~=5.11
PyQt5-sip<=12.9.1; python_version < '3.7'
pywin32; sys_platform == 'win32'
pyyaml>=5.1, <7

=== debian/changelog ===
picard (2.8.5-1) unstable; urgency=medium

  * New upstream version 2.8.5

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Dec 2022 20:54:58 +0100

picard (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4
  * debian/patches: Drop patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Nov 2022 09:56:22 +0100

picard (2.8.3-2) unstable; urgency=medium

  * debian/patches:
    - Fix build with recent setuptools (Closes: #1022425)
    - Fix test failure

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Nov 2022 12:25:58 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-pyqt5,
  python3-setuptools,
  python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://picard.musicbrainz.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
 Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git

=== debian/watch ===
version=4
https://picard.musicbrainz.org/downloads/ \
  .*/picard-([0-9\.]+).tar.gz

## picard 2.9

=== debian/changelog ===
picard (2.9-1) unstable; urgency=medium

  * New upstream version 2.9
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Aug 2023 22:33:57 +0200

## picard 2.11

=== requirements.txt ===
discid~=1.0
fasteners~=0.14
Markdown~=3.2
mutagen~=1.37
PyJWT~=2.0
pyobjc-core>=6.2, <10; sys_platform == 'darwin'
pyobjc-framework-Cocoa>=6.2, <10; sys_platform == 'darwin'
PyQt5-sip<=12.9.1; python_version < '3.7'
PyQt5~=5.11
python-dateutil~=2.7
pywin32; sys_platform == 'win32'
PyYAML>=5.1, <7

=== debian/changelog ===
picard (2.11-1) unstable; urgency=medium

  * New upstream version 2.11

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Jan 2024 20:09:11 +0100

picard (2.10-1) unstable; urgency=medium

  * New upstream version 2.10
  * debian/patches: Refresh patches
  * debian/clean: Stop cleaning *.egg-info

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Oct 2023 22:16:04 +0200

picard (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Sep 2023 10:58:53 +0200

picard (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Aug 2023 11:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-pyqt5,
  python3-setuptools,
  python3-yaml,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://picard.musicbrainz.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
 Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DESTDIR = $(CURDIR)/debian/picard
 export PYBUILD_DESTDIR=$(DESTDIR)
 export PYBUILD_BUILD_ARGS=--disable-autoupdate

## picard 2.12

=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,4 @@
 python-dateutil~=2.7
 pywin32; sys_platform == 'win32'
 PyYAML>=5.1, <7
+charset-normalizer~=3.3.2

=== debian/changelog ===
picard (2.12-1) unstable; urgency=medium

  * New upstream version 2.12
  * debian/control:
    - Bump Standards-Version
    - Add new BD on python3-charset-normalizer

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 29 Jun 2024 00:47:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  python3-dev,
  dh-python,
  gettext,
+ python3-charset-normalizer,
  python3-dateutil,
  python3-fasteners,
  python3-jwt,
@@ -17,7 +18,7 @@
  python3-pyqt5,
  python3-setuptools,
  python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://picard.musicbrainz.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
 Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git
@@ -33,7 +34,8 @@
 Recommends:
  python3-pyqt5.qtmultimedia,
  libqt5multimedia5-plugins
-Suggests: hicolor-icon-theme
+Suggests:
+ hicolor-icon-theme
 Description: Next-Generation MusicBrainz audio files tagger
  Picard is the next generation MusicBrainz tagging application.
  .

## picard 2.12.3

=== debian/changelog ===
picard (2.12.3-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:44:28 +0100

picard (2.12.3-1) unstable; urgency=medium

  * New upstream version 2.12.3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2024 19:13:02 +0200

picard (2.12.2-1) unstable; urgency=medium

  * New upstream version 2.12.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Sep 2024 18:05:12 +0200

picard (2.12.1-1) unstable; urgency=medium

  * New upstream version 2.12.1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Aug 2024 19:41:27 +0200

## picard 2.13.2

=== debian/changelog ===
picard (2.13.2-1) unstable; urgency=medium

  * New upstream version 2.13.2
  * debian/: Use dh-sequence-python3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Feb 2025 21:31:27 +0100

## picard 2.13.3

=== requirements.txt ===
discid~=1.0
fasteners~=0.14
Markdown~=3.2
mutagen~=1.37
PyJWT~=2.0
pyobjc-core>=6.2, <11; sys_platform == 'darwin'
pyobjc-framework-Cocoa>=6.2, <11; sys_platform == 'darwin'
PyQt5-sip<=12.15.0; python_version < '3.9'
PyQt5~=5.11
python-dateutil~=2.7
pywin32; sys_platform == 'win32'
PyYAML>=5.1, <7
charset-normalizer~=3.3

=== debian/changelog ===
picard (2.13.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Oct 2025 15:42:41 -0700

picard (2.13.3-1) unstable; urgency=medium

  * New upstream version 2.13.3
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Feb 2025 08:49:35 +0100

=== debian/control ===
Source: picard
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               gettext,
               python3-charset-normalizer,
               python3-dateutil,
               python3-dev,
               python3-fasteners,
               python3-jwt,
               python3-libdiscid,
               python3-markdown,
               python3-mutagen,
               python3-pyqt5,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.7.0
Homepage: https://picard.musicbrainz.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/picard
Vcs-Git: https://salsa.debian.org/multimedia-team/picard.git
Rules-Requires-Root: no

Package: picard
Architecture: any
Depends: libchromaprint-tools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libqt5multimedia5-plugins,
         python3-pyqt5.qtmultimedia
Suggests: hicolor-icon-theme
Description: Next-Generation MusicBrainz audio files tagger
 Picard is the next generation MusicBrainz tagging application.
 .
 This new tagging concept is album oriented, as opposed to track oriented
 like the others taggers are.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,14 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
 	mv $(DESTDIR)/usr/lib/picard/picard/picard $(DESTDIR)/usr/lib/picard/picard_run
 	find . -type d -empty -delete
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
